# CarePlan read

`GET /CarePlan/{id}`

This resource contains the treatment plan for a patient, whether upcoming or past. It also supports public health use cases by describing care for a group or community through targeted campaigns.

You can review or retrieve care plan information. 

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### read

Review a specific `CarePlan` resource with details about a patient’s current, future, or historical plan.

> **FHIR read**
>
> To use a `read` interaction, you must know the related resource ID, which you may not have in your real workflows. A `read` is likely only a follow-up option after receiving the specific resource in a recent FHIR passthrough or data on demand exchange.
>
> Typically, you should use the more flexible `_search` with query parameters, unless you’re guaranteed to request data directly from a FHIR server using the resource ID. [Learn more about using FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ).

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | CarePlan identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/CarePlan/{id}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

The CarePlan

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: CarePlan |
| `status` | string | Yes | Indicates whether the plan is currently being acted upon, represents future intentions or is now a historical record. Possible values: (USCDI) draft, active, on-hold, revoked, completed, entered-in-error, unknown |
| `intent` | string | Yes | Indicates the level of authority/intentionality associated with the care plan and where the care plan fits into the workflow chain. Possible values: (USCDI) proposal, plan, order, option |
| `category` | Array of AssessPlan or Other | Yes | Type of plan. |
| `category[] (AssessPlan).coding` | Array of object | Yes |  |
| `category[] (AssessPlan).coding[].system` | string | Yes | Value: http://hl7.org/fhir/us/core/CodeSystem/careplan-category |
| `category[] (AssessPlan).coding[].code` | string | Yes | Value: assess-plan |
| `category[] (Other).id` | string | No | A sequence of Unicode characters |
| `category[] (Other).extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `category[] (Other).extension[].id` | string | No | A sequence of Unicode characters |
| `category[] (Other).extension[].url` | string | No | String of characters used to identify a name or a resource |
| `category[] (Other).extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `category[] (Other).coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `category[] (Other).coding[].id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `category[] (Other).coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `category[] (Other).coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `category[] (Other).coding[].system` | string | No | String of characters used to identify a name or a resource |
| `category[] (Other).coding[]._system` | object | No | Extensions for system |
| `category[] (Other).coding[]._system.id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `category[] (Other).coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `category[] (Other).coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `category[] (Other).coding[].version` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._version` | object | No | Extensions for version |
| `category[] (Other).coding[]._version.id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `category[] (Other).coding[]._version.extension[].id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `category[] (Other).coding[]._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `category[] (Other).coding[].code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `category[] (Other).coding[]._code` | object | No | Extensions for code |
| `category[] (Other).coding[]._code.id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `category[] (Other).coding[]._code.extension[].id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `category[] (Other).coding[]._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `category[] (Other).coding[].display` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._display` | object | No | Extensions for display |
| `category[] (Other).coding[]._display.id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `category[] (Other).coding[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `category[] (Other).coding[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `category[] (Other).coding[].userSelected` | boolean | No | Value of "true" or "false" |
| `category[] (Other).coding[]._userSelected` | object | No | Extensions for userSelected |
| `category[] (Other).coding[]._userSelected.id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._userSelected.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `category[] (Other).coding[]._userSelected.extension[].id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._userSelected.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `category[] (Other).coding[]._userSelected.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `category[] (Other).text` | string | No | A sequence of Unicode characters |
| `category[] (Other)._text` | object | No | Extensions for text |
| `category[] (Other)._text.id` | string | No | A sequence of Unicode characters |
| `category[] (Other)._text.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `category[] (Other)._text.extension[].id` | string | No | A sequence of Unicode characters |
| `category[] (Other)._text.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `category[] (Other)._text.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `subject` | object | Yes | Who care plan is for. Must be a resource of type `Patient`. |
| `subject.id` | string | No | A sequence of Unicode characters |
| `subject.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `subject.extension[].id` | string | No | A sequence of Unicode characters |
| `subject.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `subject.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `subject.reference` | string | No | A sequence of Unicode characters |
| `subject._reference` | object | No | Extensions for reference |
| `subject._reference.id` | string | No | A sequence of Unicode characters |
| `subject._reference.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `subject._reference.extension[].id` | string | No | A sequence of Unicode characters |
| `subject._reference.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `subject._reference.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `subject.type` | string | No | String of characters used to identify a name or a resource |
| `subject._type` | object | No | Extensions for type |
| `subject._type.id` | string | No | A sequence of Unicode characters |
| `subject._type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `subject._type.extension[].id` | string | No | A sequence of Unicode characters |
| `subject._type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `subject._type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `subject.identifier` | object | No | An identifier - identifies some entity uniquely and unambiguously. Typically this is used for business identifiers. |
| `subject.identifier.id` | string | No | A sequence of Unicode characters |
| `subject.identifier.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `subject.identifier.extension[].id` | string | No | A sequence of Unicode characters |
| `subject.identifier.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `subject.identifier.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `subject.identifier.use` | any | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old |
| `subject.identifier._use` | object | No | Extensions for use |
| `subject.identifier._use.id` | string | No | A sequence of Unicode characters |
| `subject.identifier._use.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `subject.identifier._use.extension[].id` | string | No | A sequence of Unicode characters |
| `subject.identifier._use.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `subject.identifier._use.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `subject.identifier.type` | object | No | A coded type for the identifier that can be used to determine which identifier to use for a specific purpose. |
| `subject.identifier.type.id` | string | No | A sequence of Unicode characters |
| `subject.identifier.type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `subject.identifier.type.extension[].id` | string | No | A sequence of Unicode characters |
| `subject.identifier.type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `subject.identifier.type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `subject.identifier.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `subject.identifier.type.coding[].id` | string | No | A sequence of Unicode characters |
| `subject.identifier.type.coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `subject.identifier.type.coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `subject.identifier.type.coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `subject.identifier.type.coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `subject.identifier.type.coding[].system` | string | No | String of characters used to identify a name or a resource |
| `subject.identifier.type.coding[]._system` | object | No | Extensions for system |
| `subject.identifier.type.coding[]._system.id` | string | No | A sequence of Unicode characters |
| `subject.identifier.type.coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `subject.identifier.type.coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `subject.identifier.type.coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `subject.identifier.type.coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `subject.identifier.type.coding[].version` | string | No | A sequence of Unicode characters |
| `subject.identifier.type.coding[]._version` | object | No | Extensions for version |
| `subject.identifier.type.coding[]._version.id` | string | No | A sequence of Unicode characters |
| `subject.identifier.type.coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `subject.identifier.type.coding[]._version.extension[].id` | string | No | A sequence of Unicode characters |
| `subject.identifier.type.coding[]._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `subject.identifier.type.coding[]._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `subject.identifier.type.coding[].code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `subject.identifier.type.coding[]._code` | object | No | Extensions for code |
| `subject.identifier.type.coding[]._code.id` | string | No | A sequence of Unicode characters |
| `subject.identifier.type.coding[]._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `subject.identifier.type.coding[]._code.extension[].id` | string | No | A sequence of Unicode characters |
| `subject.identifier.type.coding[]._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `subject.identifier.type.coding[]._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `subject.identifier.type.coding[].display` | string | No | A sequence of Unicode characters |
| `subject.identifier.type.coding[]._display` | object | No | Extensions for display |
| `subject.identifier.type.coding[]._display.id` | string | No | A sequence of Unicode characters |
| `subject.identifier.type.coding[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `subject.identifier.type.coding[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `subject.identifier.type.coding[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `subject.identifier.type.coding[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `subject.identifier.type.coding[].userSelected` | boolean | No | Value of "true" or "false" |
| `subject.identifier.type.coding[]._userSelected` | object | No | Extensions for userSelected |
| `subject.identifier.type.coding[]._userSelected.id` | string | No | A sequence of Unicode characters |
| `subject.identifier.type.coding[]._userSelected.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `subject.identifier.type.coding[]._userSelected.extension[].id` | string | No | A sequence of Unicode characters |
| `subject.identifier.type.coding[]._userSelected.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `subject.identifier.type.coding[]._userSelected.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `subject.identifier.type.text` | string | No | A sequence of Unicode characters |
| `subject.identifier.type._text` | object | No | Extensions for text |
| `subject.identifier.type._text.id` | string | No | A sequence of Unicode characters |
| `subject.identifier.type._text.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `subject.identifier.type._text.extension[].id` | string | No | A sequence of Unicode characters |
| `subject.identifier.type._text.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `subject.identifier.type._text.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `subject.identifier.system` | string | No | String of characters used to identify a name or a resource |
| `subject.identifier._system` | object | No | Extensions for system |
| `subject.identifier._system.id` | string | No | A sequence of Unicode characters |
| `subject.identifier._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `subject.identifier._system.extension[].id` | string | No | A sequence of Unicode characters |
| `subject.identifier._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `subject.identifier._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `subject.identifier.value` | string | No | A sequence of Unicode characters |
| `subject.identifier._value` | object | No | Extensions for value |
| `subject.identifier._value.id` | string | No | A sequence of Unicode characters |
| `subject.identifier._value.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `subject.identifier._value.extension[].id` | string | No | A sequence of Unicode characters |
| `subject.identifier._value.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `subject.identifier._value.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `subject.identifier.period` | object | No | Time period during which identifier is/was valid for use. |
| `subject.identifier.period.id` | string | No | A sequence of Unicode characters |
| `subject.identifier.period.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `subject.identifier.period.extension[].id` | string | No | A sequence of Unicode characters |
| `subject.identifier.period.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `subject.identifier.period.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `subject.identifier.period.start` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `subject.identifier.period._start` | object | No | Extensions for start |
| `subject.identifier.period._start.id` | string | No | A sequence of Unicode characters |
| `subject.identifier.period._start.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `subject.identifier.period._start.extension[].id` | string | No | A sequence of Unicode characters |
| `subject.identifier.period._start.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `subject.identifier.period._start.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `subject.identifier.period.end` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `subject.identifier.period._end` | object | No | Extensions for end |
| `subject.identifier.period._end.id` | string | No | A sequence of Unicode characters |
| `subject.identifier.period._end.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `subject.identifier.period._end.extension[].id` | string | No | A sequence of Unicode characters |
| `subject.identifier.period._end.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `subject.identifier.period._end.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `subject.display` | string | No | A sequence of Unicode characters |
| `subject._display` | object | No | Extensions for display |
| `subject._display.id` | string | No | A sequence of Unicode characters |
| `subject._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `subject._display.extension[].id` | string | No | A sequence of Unicode characters |
| `subject._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `subject._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `text` | object | No | A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety. |
| `text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: (USCDI) generated, extensions, additional, empty |
| `text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "resourceType": "CarePlan",
  "text": {
    "status": "(USCDI) generated",
    "div": null
  },
  "status": "(USCDI) draft",
  "intent": "(USCDI) proposal",
  "category": [
    {
      "coding": [
        {
          "system": "http://hl7.org/fhir/us/core/CodeSystem/careplan-category",
          "code": "assess-plan"
        }
      ]
    }
  ],
  "subject": null
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 404

Not found or not supported

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "not-found",
      "details": {
        "coding": [
          {
            "code": "MSG_NO_MODULE",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "my-sandbox is not a recognized FHIR organization"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
